<?
try { $online_chat = Model_EscortsV2::getChatOnlineEscorts(); } catch ( Exception $e ) { $online_chat = false; }
try { $happy_hours = Model_EscortsV2::getHappyHourEscorts(); } catch ( Exception $e ) { $happy_hours = false; }
$hh_with_rate = 0;



if($happy_hours && $happy_hours[1] > 0){
	$hh_escorts = $happy_hours[0];
	$hh_count = $happy_hours[1];
	foreach($hh_escorts as $hh_escort){
	   $hh_rate = $hh_escort->getHHRates();
	   $incallls = (array) $hh_rate[1];
	   $hh_escort->min_hh = false;
	   foreach($incallls as $key => $incall)
	   {
		   if( intval($incall->hh_price) > 0 && intval($incall->price) > 0 ){
			   $hh_escort->min_hh =  $incallls[$key];
			   $hh_with_rate++;
			   BREAK;
		   }
	   }
	}

}
else{
	$happy_hours = false;
}

///////////////////////////////////
$oc_results = array();

if ($this->allowChat2())
{
	$m = new Model_EscortsV2();
	$oc_results = $m->getChatNodeOnlineEscorts(1, 1000);
}

$oc_escorts = $oc_results['escorts'];
$oc_count = $oc_results['count'];
$online_chat = false;

if ($oc_escorts)
	$online_chat = true;
//////////////////////////////////////
?>
<div id="right-col">
	<div class="block new_domain_r">
		<a href="<?= $this->getLink('signup') ?>"><img src="<?= _st('v2.1/' . $this->lang() . '_are_you_escort.gif') ?>" width="234" height="150" alt="" /></a>
		<!--<a class="hh-banner" href="<?= $this->getLink('escorts', array('happy-hours'), true) ?>"><img src="<?= _st('happyhourbanner.gif') ?>" width="235" height="93" alt="" /></a>-->
		<!--<a class="chat-online-banner" href="<?= $this->getLink('escorts', array('chat-online'), true) ?>"><img src="<?= _st('online_chat_banner.gif') ?>" width="235" height="93" alt="" /></a>-->
	</div>
	<? if ($happy_hours && $hh_with_rate > 0): ?>
	<div id="hh-widget" class="block">
		<div class="head"><div class="i"><span class="happy-hours"><?= $this->t('happy_hours_live')?>: <span class="escort_count"><?=$hh_count?></span> </span></div></div>
		<? foreach($hh_escorts as $hh_escort): ?>
		
		<? if($hh_escort->min_hh):?>
		<div class="hh_escorts">
			<div class="hh_thumb">
				<a href="<?= $this->getLink('profile', array('showname' => $hh_escort->showname, 'escort_id' => $hh_escort->id) ) ?>" >
					<img src="<?= $hh_escort->getMainPhoto()->getUrl('w68') ?>" width="68" height="91" />
				</a>
			</div>

			<div class="hh_info">
				<ul>
					<li><a class="showname hh-blue hh-bold" href="<?= $this->getLink('profile', array('showname' => $hh_escort->showname, 'escort_id' => $hh_escort->id) ) ?>" > <?= $hh_escort->showname ?></a></li>
					<li> <?= $this->t('before') ?>: <span class="hh-bold hh-blue"><span class="hh-erased"><?= $hh_escort->min_hh->price ?></span> <?=$hh_escort->min_hh->currency_title?></span></li>
					<li> <?= $this->t('now') ?>: <span class="hh-bold hh-blue"><?= $hh_escort->min_hh->hh_price ?> <?= $hh_escort->min_hh->currency_title ?></span></li>
					<li class="hh-red hh-bold"><?= strtoupper($this->t('save')) ?> <?=$hh_escort->min_hh->price - $hh_escort->min_hh->hh_price ?> <?=$hh_escort->min_hh->currency_title ?></li>
					<li class="hh-bold"> <?= date('G:i', $hh_escort->hh_date_from) ?>-<?= date('G:i', $hh_escort->hh_date_to)?></li>
				</ul>
			</div>
		</div>
		<div class="clear"></div>
		<? endif; ?>
		<? endforeach;?>
		<div>
			<div class="see_all_button"><a href='<?= $this->getLink('escorts', array('happy-hours'), true) ?>'><?= $this->t('see_them_all') ?></a></div>
		</div>
	</div>
	<? endif ?>
	<? if ($online_chat): ?>
	<div id="oc-widget" class="block">
		<div class="head"><div class="i"><span class="online-chat"><?= $this->t('available_live_chat')?> : <span class="escort_count"><?=$oc_count?></span></span></div></div>
		<div class="oc-info">
			<? $i = 0; ?>
			<? foreach($oc_escorts as $key => $oc_escort): ?>
			<div class="oc-escorts">
				<a class="oc-showname" href="<?= $this->getLink('profile', array('showname' => $oc_escort->showname, 'escort_id' => $oc_escort->id) ) ?>">
					<span class="popup-img">
						<img height="91" width="68" src="<?= $oc_escort->getMainPhoto()->getUrl('w68') ?>" alt="<?=$oc_escort->showname ?>" />
					</span>
					<span class="limit">
						<?= $oc_escort->showname ?><br/><small>(<?= strlen($oc_escort->city) > 14 ? mb_substr($oc_escort->city, 0, 11) . '...' : $oc_escort->city ?>)</small>
					</span>
				</a>
			</div>
			<? if($key % 2 == 1):?>
				<div class="clear"></div>
			<? endif; ?>
			<? $i ++; if ($this->request()->req != '/chat-online' && $i == 10) break; ?>
			<? endforeach;?>
			<div class="clear"></div>
		</div>
		<div>
			<div class="see_all_button"><span ><a href='<?= $this->getLink('escorts', array('chat-online'), true) ?>' ><?= $this->t('see_them_all') ?></a></span></div>
		</div>
	</div>
	<? endif ?>

	<?= $this->render('gotm.phtml') ?>

	<? /*
	<? $banners = Zend_Registry::get('banners'); ?>
	<? $c = 5; ?>
	<? if ( ! $this->is_main_page ): ?>
		<? $c = 10; ?>
	<? endif; ?>
	
	<? if ( ! $this->is_profile ): ?>	
		<? $banners['banners']['right_banners'] = array_merge($banners['banners']['top_banners'], $banners['banners']['right_banners']); ?>	
	<? endif; ?>
	
	<? //if ( count($banners['banners']['right_banners']) ): ?>
	<div class="block banners">
		<div class="head"><div class="i"><span class="spons"><?= __('spnsors_6annonce') ?></span></div></div>
		
		<a href="http://www.escortbook.com" target="_blank">
			<img src="/images/banners/escortbook.png" alt="escort site design" />
		</a>		
		
		<a href="http://www.asianescorts.com" target="_blank">
			<img src="/images/banners/asianescorts.gif" alt="escort site" />
		</a>		
		
		<? for($i = 0; $i < $c; $i++): ?>
			<?= $banners['banners']['right_banners'][$i] ?>
		<? endfor; ?>
		<div class="clear"></div>
	</div>
	<? //endif; ?>
	
	<? if ( count($banners['banners']['right_banners_120']) ): ?>
	<div class="block banners un">		
		<?= $banners['banners']['right_banners_120'][0] ?>		
		<div class="clear"></div>
	</div>
	<? endif; ?>
	*/ ?>
	
	<div class="block banners">
		<div class="head"><div class="i"><span class="spons"><?= __('spnsors_6annonce') ?></span></div></div>
		
		<div id="x3238" class="cF21Dg27"></div> 
		<div id="x3239" class="cF21Dg27"></div> 
		<div id="x323132" class="cF21Dg27"></div>
		
		<div class="clear"></div>
	</div>

	<div class="block <?= ( ! count($this->right_premiums) ) ? 'none' : '' ?> right_premiums_block_p">
		<div class="head"><div class="i"><span class="premium"><?= __('premium_escorts') ?></span></div></div>

		<div id="right_premiums_block">
			<div class="right_premium_escorts ">
				<? if( count($this->right_premiums)): ?>
				<div class="prem-wrp">
					<? foreach( $this->right_premiums as $i => $escort ): ?>
					<? if ( ! $escort instanceof Model_EscortV2Item ) $escort = new Model_EscortV2Item($escort); ?>
					<div class="ewrp <?= ( count($this->right_premiums) == $i + 1 ) ? 'last' : '' ?>">
						<div class="escort">
							<a class="showname" href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'from' => 'right_premiums', 'escort_id' => $escort->id)) ?>"><?= $escort->showname ?></a>
							<div class="esc-wrap esc-wrap-style-prem">
								<div class="wrap">
									<div class="image">
										<span class="premium"></span>
										<a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'from' => 'right_premiums', 'escort_id' => $escort->id)) ?>">
											<img src="<?= $escort->getMainPhoto()->getUrl('thumb') ?>" />
										</a>
									</div>
								</div>
							</div>

							<span class="strong"><?= $escort->city ?></span>

							<? $rate = ''; $rates = $escort->getRates(); ?>
							<? if ( array_key_exists(AVAILABLE_INCALL, $rates) ): ?>
								<? $rate = $rates[AVAILABLE_INCALL] ?>
							<? elseif ( array_key_exists(AVAILABLE_OUTCALL, $rates) ): ?>
								<? $rate = $rates[AVAILABLE_OUTCALL] ?>
							<? endif; ?>

							
							<? $rate_str = ''; ?>
							<? if ( isset($one_h_outcall_rate->time) ): ?>
								<? $rate_str = $one_h_outcall_rate->time . 'h ' . $DEFINITIONS['currency_symbols'][$one_h_outcall_rate->currency_id] . ' ' . $one_h_outcall_rate->price; ?>
							<? endif; ?>
							<? if( isset($one_h_incall_rate->time) ): ?>
								<? $rate_str = $one_h_incall_rate->time . 'h ' . $DEFINITIONS['currency_symbols'][$one_h_incall_rate->currency_id] . ' ' . $one_h_incall_rate->price; ?>
							<? endif; ?>
							<? if ( strlen($rate_str) ): ?>
								<span class="price"><?= $rate_str ?></span>
							<? endif; ?>
							<div class="clear"></div>

							<? if ( $escort->incall_type || $escort->outcall_type ): ?>
								<? if ( $escort->incall_type ): ?>
								<span class="incall"></span>
								<? endif ?>
								<? if ( $escort->outcall_type ): ?>
								<span class="outcall"></span>
								<? endif ?>
								<div class="clear"></div>
							<? endif; ?>
						</div>
					</div>
					<div class="clear"></div>
					<? endforeach; ?>
				</div>
				<? endif; ?>
			</div>
		</div>
	</div>
	

	<? /*if ( $this->is_main_page ):*/ ?>
	<div class="block bubble" id="bubbles-widget">
		<script type="text/javascript">window.addEvent('domready', function() { if ( Cubix.Bubble ) Cubix.Bubble.Load()})</script>
	</div>
    <br />
    <div class="block bubble" id="online-widget">
        <script type="text/javascript">window.addEvent('domready', function() { if ( Cubix.Online ) Cubix.Online.Load()})</script>
    </div>
	<? /*endif;*/ ?>
</div>
